Closed Bug 828433 Opened 9 years ago Closed 8 years ago

olx.com.ve doesn't recognize B2G UA as mobile

Categories

(Web Compatibility :: Mobile, defect)

ARM
Gonk (Firefox OS)
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: lmandel, Unassigned)

References

()

Details

(Whiteboard: [uaoverride] [country-ve] [serversniff] [contactready])

olx.com.ve serves a desktop site to B2G. Bug 823364 added an UA override for this domain. The override should be removed once the domain serves mobile content to B2G. This bug tracks the evangelism for the site to recognize the B2G UA and the removal of the override at that time.
Blocks: olx.com.ve
Whiteboard: [uaoverride]
Whiteboard: [uaoverride] → [uaoverride] [country-ve]
Server side redirection to a mobile domain based on user agent detection.

To be contacted see
https://wiki.mozilla.org/Compatibility/Guide#Finding_The_Right_Contact_on_a_Web_site



# Firefox OS

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.olx.com.ve
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: keep-alive
Content-Encoding: gzip
Content-Length: 1866
Content-Type: text/html; charset=utf-8
Date: Tue, 20 Aug 2013 15:06:13 GMT
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Pragma: no-cache
Server: Apache
Set-Cookie: language=634e9248f22d2f4e6f557b77efc6fd638e87963a%7E10; path=/
Set-Cookie: session=03d6f237102b6a744afd6140857d1070; path=/
Set-Cookie: returnPage=85f8318a0f112dd09714ce6e8cb30f39b550232f%7E; path=/
Vary: Accept-Encoding



# Firefox for Android

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.olx.com.ve
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 301 Moved Permanently
Connection: keep-alive
Content-Length: 0
Date: Tue, 20 Aug 2013 15:04:32 GMT
Location: http://m.olx.com.ve/
Server: AkamaiGHost

Note that Opera Mobile is getting the desktop site too

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.olx.com.ve
User-Agent: Opera/12.02 (Android 4.1; Linux; Opera Mobi/ADR-1111101157; U; en-US) Presto/2.9.201 Version/12.02

HTTP/1.1 200 OK
Connection: keep-alive
Content-Encoding: gzip
Content-Length: 14299
Content-Type: text/html; charset=utf-8
Date: Tue, 20 Aug 2013 15:06:42 GMT
P3P: policyref="http://www.olx.com/w3c/p3p.xml", CP="NON DSP COR CURa"
Server: Apache
Vary: Accept-Encoding

but Opera Mini is getting the mobile site

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.olx.com.ve
User-Agent: Opera/9.80 (Android; Opera Mini/7.29530/27.1407; U; en) Presto/2.8.119 Version/11.10

HTTP/1.1 301 Moved Permanently
Connection: keep-alive
Content-Length: 0
Date: Tue, 20 Aug 2013 15:07:18 GMT
Location: http://m.olx.com.ve/
Server: AkamaiGHost

as well as the iPhone

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.olx.com.ve
User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 5_0 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A334 Safari/7534.48.3

HTTP/1.1 301 Moved Permanently
Connection: keep-alive
Content-Length: 0
Date: Tue, 20 Aug 2013 15:07:48 GMT
Location: http://m.olx.com.ve/
Server: AkamaiGHost
Whiteboard: [uaoverride] [country-ve] → [uaoverride] [country-ve] [serversniff]
Whiteboard: [uaoverride] [country-ve] [serversniff] → [uaoverride] [country-ve] [serversniff] [contactready]
Hi guys,

I am a mozillian and I also work for OLX. This problem should be fixed by now.

Cheers,
Santiago.
Santiago, wonderful. Thanks a lot.
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Blocks: 948642
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.